Bug 260398 - Update ports-mgmt/portconfig to 0.2
Summary: Update ports-mgmt/portconfig to 0.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Baptiste Daroussin
URL:
Keywords:
Depends on: 260396
Blocks:
  Show dependency treegraph
 
Reported: 2021-12-13 20:49 UTC by Alfonso S. Siciliano
Modified: 2022-01-19 08:35 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (bapt)


Attachments
git diff (2.35 KB, patch)
2021-12-13 20:49 UTC, Alfonso S. Siciliano
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alfonso S. Siciliano freebsd_committer 2021-12-13 20:49:48 UTC
Created attachment 230087 [details]
git diff

Update portconfig to 0.2

New features:
 - Shortcut keys
 - env D4PMINHEIGHT

Now portconfig provides the same features of dialog4ports.

Port update:
 - delete files/patch-portconfig.c (fixed in mainstream).
 - update PORTVERSION and GL_COMMIT.
Comment 1 commit-hook freebsd_committer 2022-01-17 15:58:30 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=651c7482a33043fe691f82bfe30195be27da649d

commit 651c7482a33043fe691f82bfe30195be27da649d
Author:     Alfonso S. Siciliano <alfix86@gmail.com>
AuthorDate: 2022-01-17 15:55:24 +0000
Commit:     Baptiste Daroussin <bapt@FreeBSD.org>
CommitDate: 2022-01-17 15:55:24 +0000

    ports-mgmt/portconfig: update to 0.2

    New features:
     - Shortcut keys
     - env D4PMINHEIGHT

    PR:             260398

 ports-mgmt/portconfig/Makefile                     |  4 ++--
 ports-mgmt/portconfig/distinfo                     |  6 +++---
 .../portconfig/files/patch-portconfig.c (gone)     | 25 ----------------------
 3 files changed, 5 insertions(+), 30 deletions(-)